Bug 84385 - Default to null value for HistoryItem::m_pageScaleFactor
Summary: Default to null value for HistoryItem::m_pageScaleFactor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alexandre Elias
URL:
Keywords:
Depends on: 84408
Blocks: 66687
  Show dependency treegraph
 
Reported: 2012-04-19 14:36 PDT by Alexandre Elias
Modified: 2012-05-10 00:38 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.99 KB, patch)
2012-04-19 14:46 PDT, Alexandre Elias
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Elias 2012-04-19 14:36:26 PDT
Default to null value for HistoryItem::m_pageScaleFactor
Comment 1 Alexandre Elias 2012-04-19 14:46:00 PDT
Created attachment 137980 [details]
Patch
Comment 2 WebKit Review Bot 2012-04-19 16:30:45 PDT
Comment on attachment 137980 [details]
Patch

Clearing flags on attachment: 137980

Committed r114690: <http://trac.webkit.org/changeset/114690>
Comment 3 WebKit Review Bot 2012-04-19 16:30:49 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Adam Barth 2012-05-09 14:50:31 PDT
I'm told this was reverted.
Comment 5 Adam Barth 2012-05-09 15:02:58 PDT
Apparently this patch is blocked on <https://chromiumcodereview.appspot.com/10153008/>, which is now in the Chromium commit-queue.
Comment 6 Adam Barth 2012-05-10 00:20:58 PDT
https://chromiumcodereview.appspot.com/10153008/ landed as Chromium@136194.  I think that means we're ready to land this patch again.
Comment 7 WebKit Review Bot 2012-05-10 00:38:08 PDT
Comment on attachment 137980 [details]
Patch

Clearing flags on attachment: 137980

Committed r116617: <http://trac.webkit.org/changeset/116617>
Comment 8 WebKit Review Bot 2012-05-10 00:38:13 PDT
All reviewed patches have been landed.  Closing bug.